#!/bin/bash

. ./cmd.sh

. ./path.sh

false && \
{
mkdir -p exp/tri2_splice
steps/train_splice.sh --cmd "$train_cmd" \
  --splice-opts "--left-context=2 --right-context=2" \
  1200 10000 data/train_30k_nodup data/lang exp_mfcc/tri2_ali exp/tri2_splice \
  >& exp/tri2_splice/train.log || exit 1;

steps/train_ubm_splice.sh --stage -1 --cmd "$train_cmd" 100 data/train_30k_nodup \
   data/lang  exp/tri2_splice exp/ubm2a || exit 1;
}

#copy the final.ubm in exp/ubm2a  into exp/tri2_plda
#copy exp_mfcc/tri2_ali/tree into exp/tri2_plda
#you have to specify the splice_opts
steps/train_plda.sh --stage -4 --cmd "$train_cmd" \
  2400 20000  data/train_30k_nodup data/lang \
  exp_mfcc/tri2_ali exp/tri2_plda >& exp/tri2_plda/train.log || exit 1;


#false && \
{
for lm_suffix in fsh_tgpr; do
  (
    sys=exp/tri2_plda
    graph_dir=$sys/graph_sw1_${lm_suffix}
    $highmem_cmd $graph_dir/mkgraph.log \
    utils/mkgraph.sh  data/lang_sw1_${lm_suffix} $sys $graph_dir
    steps/decode_plda.sh --nj 30 --cmd "$decode_cmd" --stage -1 --config conf/decode.config \
      $graph_dir data/eval2000  $sys/decode_eval2000_sw1_${lm_suffix}
#  steps/lmrescore.sh --mode 3 --cmd "$decode_cmd" data/lang_sw1_fsh_tgpr data/lang_sw1_fsh_tg data/eval2000 \
#  $system/decode_eval2000_sw1_${lm_suffix} $system/decode_eval2000_sw1_fsh_tg.3 || exit 1
  ) &
done
}

exit 0;
